Skip to main content
`Ctrl`+`K`

# DMAdaptationCriterion

Describes the test used to decide whether to coarsen or refine parts of the mesh

## Synopsis

    typedef enum {
      DM_ADAPTATION_NONE,
      DM_ADAPTATION_REFINE,
      DM_ADAPTATION_LABEL,
      DM_ADAPTATION_METRIC
    } DMAdaptationCriterion;

## Values

- `DM_ADAPTATION_REFINE` - uniformly refine a mesh, much like grid sequencing

- `DM_ADAPTATION_LABEL` - adapt the mesh based upon a label of the cells filled with `DMAdaptFlag` markers.

- `DM_ADAPTATION_METRIC` - try to mesh the manifold described by the input metric tensor uniformly. PETSc can also construct such a metric based upon an input primal or a gradient field.

- `DM_ADAPTATION_NONE` - do no adaptation

## See Also

DM Basics, `DM`, `DMAdaptor`, `DMAdaptationStrategy`, `DMAdaptorSolve()`

## Level

beginner

## Location

include/petscdmtypes.h

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages